%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-GD-Barcode
Version:        1.15
Release:        1
Summary:        Create barcode image with GD
# see Barcode.pm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GD-Barcode/
Source0:        http://www.cpan.org/authors/id/K/KW/KWITKNR/GD-Barcode-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8

# core
BuildRequires:  perl(ExtUtils::MakeMaker) 
# cpan
BuildRequires:  perl-GD

# definitely not picked up automagically.
Requires:       perl-GD

%description
GD::Barcode is a subclass of GD and allows you to create barcode images 
with GD. 


%prep
%setup -q -n GD-Barcode-%{version}

/opt/freeware/bin/find sample/ -type f -exec /opt/freeware/bin/sed -i 's/\r//' {} +


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes README sample/ test.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Nov 09 2008 Michael Perzl <michael@perzl.org> - 1.15-1
- first version for AIX V5.1 and higher
